ALAS-2013-151


Amazon Linux AMI Security Advisory: ALAS-2013-151
Advisory Release Date: 2014-09-15 22:21 Pacific
Severity: Important

Issue Overview:

Two improper permission check issues were discovered in the reflection API in OpenJDK. An untrusted Java application or applet could use these flaws to bypass Java sandbox restrictions.


Affected Packages:

java-1.7.0-openjdk


Issue Correction:
Run yum update java-1.7.0-openjdk to update your system.

New Packages:
i686:
    java-1.7.0-openjdk-src-1.7.0.9-2.3.4.1.15.amzn1.i686
    java-1.7.0-openjdk-1.7.0.9-2.3.4.1.15.amzn1.i686
    java-1.7.0-openjdk-demo-1.7.0.9-2.3.4.1.15.amzn1.i686
    java-1.7.0-openjdk-debuginfo-1.7.0.9-2.3.4.1.15.amzn1.i686
    java-1.7.0-openjdk-devel-1.7.0.9-2.3.4.1.15.amzn1.i686

noarch:
    java-1.7.0-openjdk-javadoc-1.7.0.9-2.3.4.1.15.amzn1.noarch

src:
    java-1.7.0-openjdk-1.7.0.9-2.3.4.1.15.amzn1.src

x86_64:
    java-1.7.0-openjdk-src-1.7.0.9-2.3.4.1.15.amzn1.x86_64
    java-1.7.0-openjdk-1.7.0.9-2.3.4.1.15.amzn1.x86_64
    java-1.7.0-openjdk-devel-1.7.0.9-2.3.4.1.15.amzn1.x86_64
    java-1.7.0-openjdk-demo-1.7.0.9-2.3.4.1.15.amzn1.x86_64
    java-1.7.0-openjdk-debuginfo-1.7.0.9-2.3.4.1.15.amzn1.x86_64